<div class="assignmentSkillWrap">


  <div class="bredcum">


    <div class="menuTab pull-left">
      <ul>
        <li>
          <p>Assignment  Type Details</p>
        </li>

      </ul>
    </div>
    <div class="btnAssing text-right">
      <button class="btn btn-cyean" (click)="openPopup()" >
        Add Teacher Badge
      </button>
    </div>
  </div>

  <div class="titleBar">

    <br>

    <table style="width:100%" class="skillDetailsTable">
      <tr>
        <th>Teacher Badge Name</th>
        <th>Teacher Badge Description</th>
        <th>Edit</th>
        <th>Delete</th>
      </tr>
      <tr *ngFor="let teacherBadgeObj of teacherBadgeList">
        <td>{{teacherBadgeObj.teacherBadgeName}}</td>
        <td>{{teacherBadgeObj.teacherBadgeDesp}}</td>
        <td> <button class="btn btn-cyean " (click)="editIntermediatePopUp(teacherBadgeObj)">
          Edit Teacher Badge
        </button></td>
        <td> <button class="btn btn-cyean " (click)="deleteIntermediatePopUp(teacherBadgeObj)">
          Delete Teacher Badge
        </button></td>
      </tr>

    </table>
  </div>


</div>



<div class="popWrap assignmentPopup" id="createTeacherBadge">
  <div class="popCont">
    <div class="titleBar clearfix">
      <div class="pull-left">
        <h4 *ngIf="!isEdit">create Teacher Badge</h4>
        <h4  *ngIf="isEdit">Edit Teacher Badge</h4>
      </div>
      <div class="pull-right">
        <div class="closeBtn" (click)="fnHidePop()"></div>
      </div>
    </div>

    <div class="textCont">
      <form #teacherBadge="ngForm">
        <div class="row">
          <div class="col-sm-12">
            <div class="inputCont" [class.has-error]="teacherBadgeObj.touched && teacherBadgeObj.invalid">
              <label for="assignmentName">Assignment Teacher Badge Name <span style="color:red">*</span></label>
              <div class="search">
                <input type="text"  [(ngModel)]="teacherBadgeObj.teacherBadgeName" name="assignmentName" id="assignmentName"
                       #assignmentName="ngModel"  required placeholder="Teacher Badge"/>
              </div>
              <span class="alert-msg" *ngIf="assignmentName.touched && assignmentName.invalid">Please Teacher Badge Name.</span>
            </div>
          </div>
        </div>
        <div class="row">
          <label for="assignmentName" style="display:block;margin:20px 0" >Assignment Description <span style="color:red">*</span></label>
          <textarea [(ngModel)]="teacherBadgeObj.teacherBadgeDesp" required name=description id="description"
                    #description="ngModel" style="width:100%;height:150px;border:1px solid rgba(151, 151, 151, 0.2);resize:none;outline:none"></textarea>
          <span class="alert-msg" *ngIf="description.touched && description.invalid">Please Enter  Teacher Badge  Description</span>
        </div>
        <div class="row">
          <div class="col-sm-6">
            <button class="btn btn-create" *ngIf="!isEdit"  (click)="saveTeacherBadge()" [disabled]="!teacherBadge.form.valid">Save</button>
            <button class="btn btn-create" *ngIf="isEdit" (click)="updateTeacherBadge()" [disabled]="!teacherBadge.form.valid">Update</button>
          </div>
          <div class="col-sm-6">
            <button class="btn  btn-Close"  (click)="hidePopup()" >Close</button>
          </div>
        </div>
      </form>
    </div>

  </div>
</div>


<div class="popWrap assignmentPopup" id="deleteTeacherBadge">
  <div class="popCont">
    <div class="titleBar clearfix">
      <div class="pull-left">
        <h4 >Delete Teacher Badge</h4>
      </div>
      <div class="pull-right">
        <div class="closeBtn" (click)="fnDeleteHidePop()"></div>
      </div>
    </div>

    <div class="textCont">
      <div class="row">
        <div class="col-sm-12">
          <p>Are sure u want to delete {{deletebadgeObj.teacherBadgeObj}}</p>
        </div>
      </div>
      <div class="row">
        <div class="col-sm-6">
          <button class="btn btn-create" (click)="deleteTeacherBadge(deletebadgeObj)" >Delete</button>
        </div>
        <div class="col-sm-6">
          <button class="btn  btn-Close"  (click)="closeDeletePopup()" >Close</button>
        </div>
      </div>

    </div>

  </div>
</div>
